<?php
/**
 * Control panel
 *
 * Shows the Control Panel on your homepage if enabled.
 *
 * @package framework
 * @since framework 1.0
 */
?>
<style>
	#control-panel {
		position: fixed;
		top: 150px;
		left: -230px;
		width: 230px;
		z-index: 10000;
		color: #444;
		overflow: visible;
	}

	#control-panel h3 {
		font-size: 13px;
		margin-bottom: 15px;
		color: #9ba1a3;
	}

	#control-panel a {
		color: #444;
		padding: 2px;
	}

	#control-panel a.active {
		background-color: #CCC;
	}

	#control-panel a:hover {
		background-color: #CCC;
	}

	#control-panel ul {
		margin-bottom: 10px;
	}

	#control-panel .panel-container {
		float: left;
		width: 230px;
	}

	#control-panel .panel-switcher {
		position: absolute;
		top: 0;
		left: 230px;
		width: 50px;
		height: 50px;
		background-color: #666b6d;
		text-align: center;
		font-size: 29px;
		cursor: pointer;
		border-top-right-radius: 5px;
		border-bottom-right-radius: 5px;
		background-image: url(wp-content/themes/circles/framework/images/cp.png);
		background-position: center;
		background-repeat: no-repeat;
	}

	#control-panel .panel-header {
		width: 100%;
		height: 50px;
		text-align: center;
		font-size: 18px;
		line-height: 50px;
		background-color: #666b6d;
		color: rgba(0, 0, 0, 0.71);
		font-weight: 600;
		text-transform: uppercase;
		text-shadow: -1px -1px 0px rgba(0, 0, 0, 0.8);
		position: relative;
		z-index: 1000;
	}
	#control-panel .panel-header:before {
		content: 'Style Switcher';
		position: absolute;
		top: 0px;
		left: 0px;
		width: 100%;
		color: #505556;
		z-index: 0;
		text-shadow: 0 1px 1px rgba(255,255,255,0.2);
	}

	#control-panel .panel-content {
		width: auto;
		background-color: #4a4e4f;
		padding: 20px;
		border-top: 0;
		border-bottom-right-radius: 5px;
	}

	#panel-main-color-container,
	#background-pattern-container,
	#background-image-container {
		margin-bottom: 15px;
color: #9ba1a3;
	}

	#panel-main-color li,
	#background-pattern li,
	#background-image li {
		float: left;
	}

	#panel-main-color li div, #background-pattern li div, #background-image li div {
		width: 23px;
		height: 23px;
		cursor: pointer;
		margin-right: 4px;
		margin-bottom: 9px;
		text-align: center;
		color: #FFF;
		line-height: 25px;
		border: 2px solid rgb(51, 51, 51);
		border-radius: 4px;
		box-shadow: 0 0 0 1px rgba(255,255,255,0.1);
	}

	#reset-to-defaults {
		margin-top: 20px;
	}


	#reset-to-defaults a {
color: #9ba1a3;
background-color: #353839;
padding: 4px 25px;
border-radius: 1px;
box-shadow: 0 0 0 1px rgba(255,255,255,0.1);
text-transform: uppercase;
}

	#reset-to-defaults a:hover {
		background-color: #DDD;
	}
	#control-panel select {
		width: 100%;
		padding: 5px 3%;
		-webkit-appearance: none;
		border: 1px solid #666b6d;
		border-radius: 5px;
		color: #cccccc;
		margin-bottom: 10px;
		position: relative;
		background: url(wp-content/themes/circles/framework/images/corner.png) no-repeat 170px 12px  #4a4e4f;
		outline: none;
	}
	#control-panel hr {
		border-top: 1px solid #414444;
		border-bottom: 1px solid #525657;
		border-left: 0;
		margin-left: -20px;
		width: 229px;
		margin-bottom: 10px;
	}


</style>
<?php

if (ts_check_if_use_control_panel_cookies() && isset($_COOKIE['theme_body_class']))
{
	$body_class = $_COOKIE['theme_body_class'];
}
elseif (isset($_GET['switch_layout']) && !empty($_GET['switch_layout']))
{
	$body_class = $_GET['switch_layout'];
}
else
{
	$body_class = ot_get_option('body_class');
}
if (ts_check_if_use_control_panel_cookies() && isset($_COOKIE['theme_main_menu_style']))
{
	$main_menu_style = $_COOKIE['theme_main_menu_style'];
}
else if (isset($_GET['switch_main_menu_style']) && !empty($_GET['switch_main_menu_style']))
{
	$main_menu_style = $_GET['switch_main_menu_style'];
}
else
{
	$main_menu_style = ot_get_option('main_menu_style');
}

$background_patterns = ts_get_background_patterns(true);

?>
<div id="control-panel">
	<div class="panel-container">
		<div class="panel-header">
			<?php _e('Style Switcher','framework'); ?>
		</div>
		<div class="panel-content">
			<h3><?php _e('Choose layout','framework'); ?></h3>
			<select>
				<option <?php echo $body_class == 'w1170' ? 'selected="selected"' : ''; ?> value="<?php echo add_query_arg( array('switch_layout' => 'w1170') ); ?>">Full Width 1170px</option>
				<option <?php echo $body_class == 'b1170' ? 'selected="selected"' : ''; ?> value="<?php echo add_query_arg( array('switch_layout' => 'b1170') ); ?>">Boxed Width 1170px</option>
				<option <?php echo $body_class == 'w960' ? 'selected="selected"' : ''; ?> value="<?php echo add_query_arg( array('switch_layout' => 'w960') ); ?>">Full Width 960px</option>
				<option <?php echo $body_class == 'b960' ? 'selected="selected"' : ''; ?> value="<?php echo add_query_arg( array('switch_layout' => 'b960') ); ?>">Boxed Width 960px</option>
			</select>
			<hr>


			<?php $header_styles = ts_get_header_styles(); ?>
			<?php if (is_array($header_styles) && count($header_styles) > 0): ?>
				<h3><?php _e('Choose header style','framework'); ?></h3>
				<select>
					<?php foreach ($header_styles as $style): ?>
						<option <?php echo $main_menu_style == $style['value'] ? 'selected=selected' : ''; ?> value="<?php echo add_query_arg( array('switch_main_menu_style' => $style['value']) ); ?>"><?php echo $style['label'];?></a></option>
					<?php endforeach; ?>
				</select>
			<?php endif; ?>
			<hr>
			<?php $colors = ts_get_control_panel_colors(); ?>
			<?php if (is_array($colors) && count($colors) > 0): ?>
				<div id="panel-main-color-container">
					<h3><?php _e('Choose main color','framework'); ?></h3>
					<ul id="panel-main-color">
						<?php foreach ($colors as $color): ?>
							<li><div style="background-color: <?php echo $color; ?>"></div></li>
						<?php endforeach; ?>
					</ul>
					<div class="clear"></div>
				</div>
			<?php endif; ?>
			<hr>
			<?php if (is_array($background_patterns) && count($background_patterns) > 0): ?>
				<div id="background-pattern-container">
					<h3><?php _e('Background patterns','framework'); ?></h3>
					<?php if (!in_array($body_class,array('b1170','b960'))): ?>
						<?php _e('Boxed layout only','framework'); ?>
					<?php else: ?>
						<ul id="background-pattern">
							<?php foreach ($background_patterns as $pattern): ?>
								<li><div style="background-image: url(<?php echo get_template_directory_uri(); ?>/images/body-bg/<?php echo $pattern['value']; ?>);" data-bg="<?php echo $pattern['value']; ?>"></div></li>
							<?php endforeach; ?>
						</ul>
						<div class="clear"></div>
					<?php endif; ?>
				</div>
			<?php endif; ?>
			<hr>

			<?php $background_images = ts_get_control_panel_backgrounds(); ?>
			<?php if (is_array($background_images) && count($background_images) > 0): ?>
				<div id="background-image-container">
					<h3><?php _e('Background images','framework'); ?></h3>
					<?php if (!in_array($body_class,array('b1170','b960'))): ?>
						<?php _e('Boxed layout only','framework'); ?>
					<?php else: ?>
						<ul id="background-image">
							<?php foreach ($background_images as $background): ?>
								<li><div style="background-image: url(<?php echo ts_get_resized_image(get_template_directory_uri().'/images/body-img/'.$background,25, 25, '', '', true, true); ?>);" data-img="<?php echo $background; ?>"></div></li>
							<?php endforeach; ?>
						</ul>
						<div class="clear"></div>
					<?php endif; ?>
				</div>
			<?php endif; ?>
			<hr>

			<div id="reset-to-defaults">
				<a href="<?php echo add_query_arg( 'control_panel=defaults', '', home_url( $wp->request )); ?>"><?php _e('Reset to defaults','framework');?></a>
			</div>
			<div class="clear"></div>
		</div>
	</div>
	<div class="panel-switcher"></div>
</div>
<script>
	jQuery(document).ready(function($) {

		var changeLeft = 230;

		$('#control-panel .panel-switcher').click(function() {
			$('#control-panel').animate({
				left: '+=' + changeLeft
				}, 500, function() {
					changeLeft = changeLeft * -1;
				}
			);
		});


		$('#panel-main-color li div').click(function() {

			var current_color_container = this;
			$(current_color_container).html('<i class="icon-spinner icon-spin"></i>');

			jQuery.ajax({
				type: 'GET',
				url: '<?php echo admin_url('admin-ajax.php'); ?>',
				data: {
					action: 'the_theme_dynamic_styles',
					main_color: rgb2hex($(this).css('background-color'))
				},
				success: function(data, textStatus, XMLHttpRequest){
					$(current_color_container).html('');
					jQuery("#dynamic-styles").html('');
					jQuery("#dynamic-styles").html(data);
				},
				error: function(XMLHttpRequest, textStatus, errorThrown){
					//alert(errorThrown);
				}
			});
		});

		$('#background-pattern li div').click(function() {

			background_image = '<?php echo get_template_directory_uri(); ?>/images/body-bg/' + $(this).attr('data-bg');
			$('body').css({background : 'url('+background_image+')'});
			cookie_val = 'body-bg/' + $(this).attr('data-bg');


			var cookieStr = escape('theme_background') +"=";
			if (typeof cookie_val != "undefined") {
				cookieStr += escape(cookie_val);
			}

			document.cookie = cookieStr;
		});

		$('#background-image li div').click(function() {

			background_image = '<?php echo get_template_directory_uri(); ?>/images/body-img/' + $(this).attr('data-img');
			$('body').css({
				background : 'url('+background_image+') no-repeat fixed center'
			});
			cookie_val = 'body-img/' + $(this).attr('data-img');

			var cookieStr = escape('theme_background') +"=";
			if (typeof cookie_val != "undefined") {
				cookieStr += escape(cookie_val);
			}

			document.cookie = cookieStr;
		});

		//set default background when boxed is choosed
		$('#choice-b1170,#choice-b960').click(function() {

			cookie_val = 'body-bg/dark_wood.png';
			document.cookie = escape('theme_background') + "=" + escape(cookie_val);
		});

		//clear background when boxed is choosed
		$('#choice-w1170,#choice-w960').click(function() {

			cookie_val = '';
			document.cookie = escape('theme_background') + "=" + escape(cookie_val);
		});

	});

	var hexDigits = new Array
        ("0","1","2","3","4","5","6","7","8","9","a","b","c","d","e","f");

	//Function to convert hex format to a rgb color
	function rgb2hex(rgb) {
		rgb = rgb.match(/^rgb\((\d+),\s*(\d+),\s*(\d+)\)$/);
		return "#" + hex(rgb[1]) + hex(rgb[2]) + hex(rgb[3]);
	}

	function hex(x) {
		return isNaN(x) ? "00" : hexDigits[(x - x % 16) / 16] + hexDigits[x % 16];
	}

 </script>